CREATE TABLE IF NOT EXISTS "trips" (
    {% for name, type in db_cols.items() -%}
    "{{ name }}" {{ type }}{{ "" if loop.last else "," }}
    {% endfor -%}
); {# indentation in the rendering result should be removed #}

DELETE FROM "trips" WHERE "partition_date" = '{{ month_to_fetch }}';

INSERT INTO "trips"
SELECT
    {% for source, target in tpl_cols.items() -%}
    {{ source }} AS "{{ target }}"{{ "" if loop.last else "," }}
    {% endfor -%}
FROM {# indentation in the rendering result should be removed #}
    '{{ path_data }}';
